Name:           htop
Version:        0.8.3
Release:        %mkrel 1

Summary:        Interactive text-mode process viewer for Linux
License:        GPLv2+
Group:          Monitoring
URL:            http://htop.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/htop/htop-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel
BuildRequires:  libncursesw-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
htop is an interactive process viewer for Linux, similar to top.
It requires ncurses. Tested with Linux 2.4 and 2.6.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%setup -q

%build
%{configure2_5x}
%{make}

%install
rm -rf %{buildroot}
%{makeinstall}

desktop-file-install --vendor="" \
  --add-category="Monitor" \
  --remove-key="Path" \
  --remove-key="Version" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif
                
%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*


%changelog
* Tue Jun 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.3-1mdv2010.0
+ Revision: 388744
- update to new version 0.8.3

* Fri Jun 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 385443
- adding missing buildrequires:
- update to 0.8.2
- removing tgid patch, now integrated upstream

* Fri May 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.8.1-2mdv2010.0
+ Revision: 378657
- fix bug #50926: htop doesn't display treeview if user thread aren't displayed

* Tue Oct 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.1-1mdv2009.1
+ Revision: 296188
- update to new version 0.8.1

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8-2mdv2009.0
+ Revision: 267106
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 10 2008 Funda Wang <fundawang@mandriva.org> 0.8-1mdv2009.0
+ Revision: 205412
- update to new version 0.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 24 2007 Funda Wang <fundawang@mandriva.org> 0.7-1mdv2008.1
+ Revision: 111757
- New version 0.7

* Sat Sep 29 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.6-3mdv2008.0
+ Revision: 93905
- rebuild for bad signature (bug #34248)

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.6-2mdv2008.0
+ Revision: 88672
- drop old menu
- make desktop file validation pass

* Sat Jun 02 2007 David Walluck <walluck@mandriva.org> 0.6.6-1mdv2008.0
+ Revision: 34416
- 0.6.6
- use pristine tarball
- FIXME: menu icon is not in the package
- replace $RPM_BUILD_ROOT with %%{buildroot}
- fix mixture of tabs and spaces
- replace menu needs incorrect terminal with text


* Wed Nov 29 2006 Emmanuel Andry <eandry@mandriva.org> 0.6.5-1mdv2007.0
+ Revision: 88781
- New version 0.6.5

* Mon Nov 13 2006 Thomas Backlund <tmb@mandriva.org> 0.6.2-2mdv2007.1
+ Revision: 83867
- rebuild because of breakage due to ncurses rollbackthat got rolled back
- fix desktop file generation

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import htop-0.6.2-1mdk

